# GENERATE_ROOT_DICTS("${HEADERS}")
# Automatically generate root dictionaries for all passed headers with linkdef

macro(GENERATE_ROOT_DICTS HEADERS)
  foreach (HEADER ${HEADERS})
    get_filename_component(THEADER ${HEADER} NAME_WE)
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${THEADER}_linkdef.h)
      ROOT_GENERATE_DICTIONARY("${HEADER}" "${THEADER}_linkdef.h" 
        "${THEADER}_dict.cxx" "${INCLUDE_DIRECTORIES}")
      set(SRCS ${SRCS} ${THEADER}_dict.cxx)
    endif()
  endforeach(HEADER)
endmacro(GENERATE_ROOT_DICTS)
